Web lists-archives.com

Re: dpkg-scanpackages instructions on the Debian wiki




On 2018-05-15 16:12 +0200, Vincent Lefevre wrote:

> It seems that the dpkg-scanpackages instructions on the Debian wiki
> are wrong. In the generated Packages file, for libltdl7, I get only:
>
> Package: libltdl7
> Source: libtool
> Version: 2.4.6-2.1+local2
> Architecture: i386
> Maintainer: Kurt Roeckx <kurt@xxxxxxxxx>
> Installed-Size: 417
> Depends: libc6 (>= 2.14)
> Filename: ./libltdl7_2.4.6-2.1+local2_i386.deb
> [...]
>
> while I have both:
>
>   libltdl7_2.4.6-2.1+local2_amd64.deb
>   libltdl7_2.4.6-2.1+local2_i386.deb
>
> and I need both to satisfy dependencies (due to the bloated
> libwine:i386).
>
> Indeed the dpkg-scanpackages(1) man page says:
>
>   If  more  than one version of a package is found only the newest one is
>   included in the output. If they have the same version and  only  differ
>   in architecture only the first one found is used.

That sentence, and most of the dpkg-scanpackages script, was written
before multiarch, and apparently nobody bothered to add multiarch
support to dpkg-scanpackages.

> I assume that one needs a specific directory for each foreign
> architecture.

Either that, or use apt-ftparchive to generate the Packages file.  Works
for me. :-)

Cheers,
       Sven